Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/odt/teitoodt.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/odt/teitoodt.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/odt/teitoodt.xsl	(revision 2397)
@@ -180,380 +224,392 @@
 		<xsl:otherwise>jpeg</xsl:otherwise>
 	      </xsl:choose>
 	    </xsl:attribute>
-	  </manifest:file-entry>
-	</xsl:for-each>
-	</xsl:if>
-      </manifest:manifest>
-    </xsl:result-document>
+						</manifest:file-entry>
+					</xsl:for-each>
+				</xsl:if>
+			</manifest:manifest>
+		</xsl:result-document>
 
-  </xsl:template>
+	</xsl:template>
 
-  <xsl:template name="META">
-    <xsl:for-each select="*">
-    <office:meta>
-      <meta:generator>TEI to OpenOffice XSLT</meta:generator>
-      <dc:title>
-	<xsl:call-template name="generateTitle"/>
-      </dc:title>
-      <dc:description/>
-      <dc:subject/>
-      <meta:creation-date>
-	<xsl:call-template name="generateDate"/>
-      </meta:creation-date>
-      <dc:date>
-	<xsl:call-template name="generateRevDate"/>
-      </dc:date>
-      <dc:language>
-	<xsl:choose>
-	  <xsl:when test="/tei:TEI/@xml:lang">
-	    <xsl:value-of select="/tei:TEI/@xml:lang"/>
-	  </xsl:when>
-	  <xsl:otherwise>en</xsl:otherwise>
-	</xsl:choose>
-      </dc:language>
-      <meta:editing-cycles>1</meta:editing-cycles>
-      <meta:editing-duration>PT00H00M00S</meta:editing-duration>
-      <meta:user-defined meta:name="Info 1"/>
-      <meta:user-defined meta:name="Info 2"/>
-      <meta:user-defined meta:name="Info 3"/>
-      <meta:user-defined meta:name="Info 4"/>
-      <meta:document-statistic meta:table-count="1" meta:image-count="0" meta:object-count="0" meta:page-count="1" meta:paragraph-count="42" meta:word-count="144" meta:character-count="820"/>
-    </office:meta>
-    </xsl:for-each>
-  </xsl:template>
+	<xsl:template name="META">
+		<xsl:for-each select="*">
+			<office:meta>
+				<meta:generator>TEI to OpenOffice XSLT</meta:generator>
+				<dc:title>
+					<xsl:call-template name="generateTitle" />
+				</dc:title>
+				<dc:description />
+				<dc:subject />
+				<meta:creation-date>
+					<xsl:call-template name="generateDate" />
+				</meta:creation-date>
+				<dc:date>
+					<xsl:call-template name="generateRevDate" />
+				</dc:date>
+				<dc:language>
+					<xsl:choose>
+						<xsl:when test="/tei:TEI/@xml:lang">
+							<xsl:value-of select="/tei:TEI/@xml:lang" />
+						</xsl:when>
+						<xsl:otherwise>
+							en
+						</xsl:otherwise>
+					</xsl:choose>
+				</dc:language>
+				<meta:editing-cycles>1</meta:editing-cycles>
+				<meta:editing-duration>PT00H00M00S</meta:editing-duration>
+				<meta:user-defined meta:name="Info 1" />
+				<meta:user-defined meta:name="Info 2" />
+				<meta:user-defined meta:name="Info 3" />
+				<meta:user-defined meta:name="Info 4" />
+				<meta:document-statistic
+					meta:table-count="1" meta:image-count="0" meta:object-count="0"
+					meta:page-count="1" meta:paragraph-count="42" meta:word-count="144"
+					meta:character-count="820" />
+			</office:meta>
+		</xsl:for-each>
+	</xsl:template>
 
-  <!-- base structure -->
-  <xsl:template match="tei:TEI">
-    <xsl:apply-templates select="tei:text"/>
-  </xsl:template>
+	<!-- base structure -->
+	<xsl:template match="tei:TEI">
+		<xsl:apply-templates select="tei:text" />
+	</xsl:template>
 
-  <xsl:template match="tei:body|tei:front|tei:back">
-	<xsl:apply-templates/>
-  </xsl:template>
+	<xsl:template match="tei:body|tei:front|tei:back">
+		<xsl:apply-templates />
+	</xsl:template>
 
 
-  <xsl:template match="tei:head">
-    <xsl:choose>
-      <xsl:when test="parent::tei:figure"/>
-      <xsl:when test="parent::tei:list"/>
-      <xsl:when test="parent::tei:div"/>
-      <xsl:when test="parent::tei:div1"/>
-      <xsl:when test="parent::tei:div2"/>
-      <xsl:when test="parent::tei:div3"/>
-      <xsl:when test="parent::tei:div4"/>
-      <xsl:when test="parent::tei:div5"/>
-      <xsl:when test="parent::tei:div6"/>
-      <xsl:when test="parent::tei:table"/>
+	<xsl:template match="tei:head">
+		<xsl:choose>
+			<xsl:when test="parent::tei:figure" />
+			<xsl:when test="parent::tei:list" />
+			<xsl:when test="parent::tei:div" />
+			<xsl:when test="parent::tei:div1" />
+			<xsl:when test="parent::tei:div2" />
+			<xsl:when test="parent::tei:div3" />
+			<xsl:when test="parent::tei:div4" />
+			<xsl:when test="parent::tei:div5" />
+			<xsl:when test="parent::tei:div6" />
+			<xsl:when test="parent::tei:table" />
 
-      <xsl:otherwise>
-	<xsl:choose>
-	  <xsl:when test="parent::tei:appendix">
-	    <text:p text:style-name="Appendix">
-	      <xsl:apply-templates/>	   
-	    </text:p>	
-	  </xsl:when>
-	  <xsl:when test="parent::tei:body">
-	    <text:h text:outline-level="1">
-	      <xsl:apply-templates/>
-	    </text:h>
-	  </xsl:when>
-	  <xsl:otherwise>
-	    <text:p>
-	      <xsl:apply-templates/>	   
-	    </text:p>
-	  </xsl:otherwise>
-	</xsl:choose>
+			<xsl:otherwise>
+				<xsl:choose>
+					<xsl:when test="parent::tei:appendix">
+						<text:p text:style-name="Appendix">
+							<xsl:apply-templates />
+						</text:p>
+					</xsl:when>
+					<xsl:when test="parent::tei:body">
+						<text:h text:outline-level="1">
+							<xsl:apply-templates />
+						</text:h>
+					</xsl:when>
+					<xsl:otherwise>
+						<text:p>
+							<xsl:apply-templates />
+						</text:p>
+					</xsl:otherwise>
+				</xsl:choose>
 
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
 
 
-  <xsl:template match="tei:div">
-    <xsl:variable name="depth">
-      <xsl:value-of select="count(ancestor::tei:div)"/>
-    </xsl:variable>
-    <text:h>
-      <xsl:attribute name="text:outline-level">
-	<xsl:value-of select="$depth + 1"/>
+	<xsl:template match="tei:div">
+		<xsl:variable name="depth">
+			<xsl:value-of select="count(ancestor::tei:div)" />
+		</xsl:variable>
+		<text:h>
+			<xsl:attribute name="text:outline-level">
+	<xsl:value-of select="$depth + 1" />
       </xsl:attribute>
-      <xsl:call-template name="test.id"/>
-      <xsl:apply-templates select="tei:head" mode="show"/>
-    </text:h>
-    <xsl:apply-templates/>
-  </xsl:template>
+			<xsl:call-template name="test.id" />
+			<xsl:apply-templates select="tei:head"
+				mode="show" />
+		</text:h>
+		<xsl:apply-templates />
+	</xsl:template>
 
-  <xsl:template match="tei:div1|tei:div2|tei:div3|tei:div4|tei:div5|tei:div6">
-    <xsl:variable name="depth">
-      <xsl:value-of select="substring-after(name(.),'div')"/>
-    </xsl:variable>
-    <text:h>
-      <xsl:attribute name="text:outline-level">
-	<xsl:value-of select="$depth + 1"/>
+	<xsl:template
+		match="tei:div1|tei:div2|tei:div3|tei:div4|tei:div5|tei:div6">
+		<xsl:variable name="depth">
+			<xsl:value-of select="substring-after(name(.),'div')" />
+		</xsl:variable>
+		<text:h>
+			<xsl:attribute name="text:outline-level">
+	<xsl:value-of select="$depth + 1" />
       </xsl:attribute>
-      <xsl:call-template name="test.id"/>
-      <xsl:apply-templates select="tei:head" mode="show"/>
-    </text:h>
-    <xsl:apply-templates/>
-  </xsl:template>
+			<xsl:call-template name="test.id" />
+			<xsl:apply-templates select="tei:head"
+				mode="show" />
+		</text:h>
+		<xsl:apply-templates />
+	</xsl:template>
 
 
 
-<!-- paragraphs -->
-  <xsl:template match="tei:pb">
-    <text:soft-page-break/>
-  </xsl:template>
+	<!-- paragraphs -->
+	<xsl:template match="tei:pb">
+		<text:soft-page-break />
+	</xsl:template>
 
-  <xsl:template match="tei:p">
-    <xsl:variable name="style">
-      <xsl:choose>
-	<xsl:when test="ancestor::tei:note[@place='foot']">
-	    <xsl:text>Footnote</xsl:text>
-	</xsl:when>
-	<xsl:otherwise>
-	  <xsl:text>Text_20_body</xsl:text>
-	</xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
-    <xsl:choose>
-<!--      
-     <xsl:when test="tei:pb">
-	<xsl:for-each-group select="node()" group-adjacent="boolean(self::tei:pb)">
-	  <xsl:choose>
-	    <xsl:when test="current-grouping-key()">
-		<text:p text:style-name="P1"/>
-	    </xsl:when>
-	    <xsl:otherwise>
-	    <text:p text:style-name="{$style}">
-	      <xsl:call-template name="test.id"/>
-	      <xsl:apply-templates select="current-group()"/>
-	    </text:p>
-	  </xsl:otherwise>  
-        </xsl:choose>
-	</xsl:for-each-group>
-      </xsl:when>
--->
-      <xsl:when test="tei:list">
-	<xsl:for-each-group select="node()" group-adjacent="boolean(self::tei:list)">
-	  <xsl:choose>
-	    <xsl:when test="current-grouping-key()">
-	      <xsl:apply-templates select="current-group()"/>
-	    </xsl:when>
-	    <xsl:otherwise>
-	    <text:p text:style-name="{$style}">
-	      <xsl:call-template name="test.id"/>
-	      <xsl:apply-templates select="current-group()"/>
-	    </text:p>
-	  </xsl:otherwise>  
-        </xsl:choose>
-	</xsl:for-each-group>
-      </xsl:when>
-      <xsl:otherwise>
-	<text:p text:style-name="{$style}">
-	  <xsl:call-template name="test.id"/>
-	  <xsl:apply-templates/>
-	</text:p>
-      </xsl:otherwise>  
-    </xsl:choose>
-  </xsl:template>
+	<xsl:template match="tei:p">
+		<xsl:variable name="style">
+			<xsl:choose>
+				<xsl:when test="ancestor::tei:note[@place='foot']">
+					<xsl:text>Footnote</xsl:text>
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:text>Text_20_body</xsl:text>
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<xsl:choose>
+			<!-- <xsl:when test="tei:pb"> <xsl:for-each-group select="node()" group-adjacent="boolean(self::tei:pb)"> 
+				<xsl:choose> <xsl:when test="current-grouping-key()"> <text:p text:style-name="P1"/> 
+				</xsl:when> <xsl:otherwise> <text:p text:style-name="{$style}"> <xsl:call-template 
+				name="test.id"/> <xsl:apply-templates select="current-group()"/> </text:p> 
+				</xsl:otherwise> </xsl:choose> </xsl:for-each-group> </xsl:when> -->
+			<xsl:when test="tei:list">
+				<xsl:for-each-group select="node()"
+					group-adjacent="boolean(self::tei:list)">
+					<xsl:choose>
+						<xsl:when test="current-grouping-key()">
+							<xsl:apply-templates select="current-group()" />
+						</xsl:when>
+						<xsl:otherwise>
+							<text:p text:style-name="{$style}">
+								<xsl:call-template name="test.id" />
+								<xsl:apply-templates
+									select="current-group()" />
+							</text:p>
+						</xsl:otherwise>
+					</xsl:choose>
+				</xsl:for-each-group>
+			</xsl:when>
+			<xsl:otherwise>
+				<text:p text:style-name="{$style}">
+					<xsl:call-template name="test.id" />
+					<xsl:apply-templates />
+				</text:p>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
 
 
-<!-- figures -->
-  <xsl:template match="tei:figure">
-    <xsl:call-template name="startHook"/>
-    <text:p text:style-name="Standard">
-      <xsl:call-template name="test.id"/>
-      <xsl:apply-templates select="tei:graphic"/>
-    </text:p>
-    <xsl:if test="tei:head">
-      <text:p text:style-name="Caption">
-	<text:span text:style-name="Figurenum">
-	  <xsl:text>Figure </xsl:text>
-	  <text:sequence 
-	      text:ref-name="refFigure0" 
-	      text:name="Figure"
-	      text:formula="Figure+1"
-	      style:num-format="1">
-	  <xsl:number level="any"/>
-	  <xsl:text>.</xsl:text>
-	  </text:sequence>
-	</text:span>
-	<xsl:text> </xsl:text>
-	<xsl:apply-templates select="tei:head" mode="show"/>
-      </text:p>
-    </xsl:if>
-    <xsl:call-template name="endHook"/>
+	<!-- figures -->
+	<xsl:template match="tei:figure">
+		<xsl:call-template name="startHook" />
+		<text:p text:style-name="Standard">
+			<xsl:call-template name="test.id" />
+			<xsl:apply-templates select="tei:graphic" />
+		</text:p>
+		<xsl:if test="tei:head">
+			<text:p text:style-name="Caption">
+				<text:span text:style-name="Figurenum">
+					<xsl:text>Figure </xsl:text>
+					<text:sequence text:ref-name="refFigure0"
+						text:name="Figure" text:formula="Figure+1" style:num-format="1">
+						<xsl:number level="any" />
+						<xsl:text>.</xsl:text>
+					</text:sequence>
+				</text:span>
+				<xsl:text> </xsl:text>
+				<xsl:apply-templates select="tei:head"
+					mode="show" />
+			</text:p>
+		</xsl:if>
+		<xsl:call-template name="endHook" />
 
-  </xsl:template>
+	</xsl:template>
 
-  <xsl:template match="tei:graphic">
-    <xsl:variable name="id">
-      <xsl:choose>
-	<xsl:when test="@xml:id">
-	  <xsl:value-of select="@xml:id"/>
-	</xsl:when>
-	<xsl:otherwise>
-	  <xsl:text>Figure</xsl:text><xsl:number level="any"/>
-	</xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
+	<xsl:template match="tei:graphic">
+		<xsl:variable name="id">
+			<xsl:choose>
+				<xsl:when test="@xml:id">
+					<xsl:value-of select="@xml:id" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:text>Figure</xsl:text>
+					<xsl:number level="any" />
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
 
-	<xsl:variable name="filename">
-	  <xsl:text>Pictures/resource</xsl:text>
-	  <xsl:number level="any"/>
-	  <xsl:text>.</xsl:text>
-	  <xsl:value-of select="tokenize(@url,'\.')[last()]"/>
-	</xsl:variable>
-	<xsl:variable name="origheight">
-	  <xsl:choose>
-	    <xsl:when test="@teidocx:height">
-	      <xsl:value-of select="@teidocx:height"/>
-	    </xsl:when>
-	    <xsl:when test="doc-available(concat($outputDir,'/image-size-info.xml'))">
-		<xsl:for-each select="document(concat($outputDir,'/image-size-info.xml'))">
-		  <xsl:value-of select="(number(key('H',$filename)/height) div 72) * 9144"/>
-		</xsl:for-each>
-	    </xsl:when>
-	    <xsl:otherwise>0</xsl:otherwise>
-	  </xsl:choose>
-	</xsl:variable>
+		<xsl:variable name="filename">
+			<xsl:text>Pictures/resource</xsl:text>
+			<xsl:number level="any" />
+			<xsl:text>.</xsl:text>
+			<xsl:value-of select="tokenize(@url,'\.')[last()]" />
+		</xsl:variable>
+		<xsl:variable name="origheight">
+			<xsl:choose>
+				<xsl:when test="@teidocx:height">
+					<xsl:value-of select="@teidocx:height" />
+				</xsl:when>
+				<xsl:when
+					test="doc-available(concat($outputDir,'/image-size-info.xml'))">
+					<xsl:for-each
+						select="document(concat($outputDir,'/image-size-info.xml'))">
+						<xsl:value-of
+							select="(number(key('H',$filename)/height) div 72) * 9144" />
+					</xsl:for-each>
+				</xsl:when>
+				<xsl:otherwise>
+					0
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
 
-	<xsl:variable name="origwidth">
-	  <xsl:choose>
-	    <xsl:when test="@teidocx:width">
-	      <xsl:value-of select="@teidocx:width"/>
-	    </xsl:when>
-	    <xsl:when test="doc-available(concat($outputDir,'/image-size-info.xml'))">
-		<xsl:for-each select="document(concat($outputDir,'/image-size-info.xml'))">
-		  <xsl:value-of select="(number(key('W',$filename)/width) div 72) * 9144"/>
-		</xsl:for-each>
-	    </xsl:when>
-	    <xsl:otherwise>0</xsl:otherwise>
-	  </xsl:choose>
-	</xsl:variable>
+		<xsl:variable name="origwidth">
+			<xsl:choose>
+				<xsl:when test="@teidocx:width">
+					<xsl:value-of select="@teidocx:width" />
+				</xsl:when>
+				<xsl:when
+					test="doc-available(concat($outputDir,'/image-size-info.xml'))">
+					<xsl:for-each
+						select="document(concat($outputDir,'/image-size-info.xml'))">
+						<xsl:value-of
+							select="(number(key('W',$filename)/width) div 72) * 9144" />
+					</xsl:for-each>
+				</xsl:when>
+				<xsl:otherwise>
+					0
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
 
-    <xsl:choose>
-      <xsl:when test="$filename and  ( ($origwidth and $origheight) or (@width and @height))">
-	
-	<!-- work out page width / height and subtract 1inch on all sides -->
-	<xsl:variable name="pageWidth">
-	  <xsl:for-each
-	      select="document(concat($outputDir,'/styles.xml'))/office:document-styles/office:automatic-styles/style:page-layout/style:page-layout-properties">
-	    <xsl:value-of
-		select="number(tei:convert-dim-pt(@fo:page-width) - 144)"/>
-	  </xsl:for-each>
-	</xsl:variable>
-	<xsl:variable name="pageHeight">
-	  <xsl:for-each
-	      select="document(concat($outputDir,'/styles.xml'))/office:document-styles/office:automatic-styles/style:page-layout/style:page-layout-properties">
-	    <xsl:value-of 
-		select="number(tei:convert-dim-pt(@fo:page-height) - 144)"/>
-	  </xsl:for-each>
-	</xsl:variable>
-	
-	<xsl:variable name="Width">
-	  <xsl:choose>
-	    <xsl:when test="contains(@width,'%')">
-	      <xsl:value-of select="(($pageWidth div 100) * number(substring-before(@width,'%'))) cast as xs:integer"/>
-	    </xsl:when>
-	    <xsl:when test="@width">
-	      <xsl:value-of select="tei:convert-dim-pt(@width)"/>
-	    </xsl:when>
-	    <xsl:when test="@scale and $origwidth">
-	      <xsl:value-of select="number($origwidth * number(@scale)) div 127 cast as xs:integer"/>
-	    </xsl:when>
-	    <xsl:when test="@height[not(contains(.,'%'))] and $origheight">
-	      <xsl:variable name="h">
-		<xsl:value-of select="number(tei:convert-dim-pt(@height))"/>
-	      </xsl:variable>
-	      <xsl:value-of select="($h * number($origwidth)) div number($origheight)"/>
-	    </xsl:when>
-	    <xsl:when test="$origwidth">
-	      <xsl:value-of select="number($origwidth) div 127"/>
-	    </xsl:when>
-	    <xsl:otherwise>
-	      <xsl:message terminate="yes">no way to work out image width for
-	      <xsl:value-of select="$filename"/>
-	      </xsl:message>
-	    </xsl:otherwise>
-	  </xsl:choose>
-	</xsl:variable>
-	
-	<xsl:variable name="Height">
-	  <xsl:choose>
-	    <xsl:when test="contains(@height,'%')">
-	      <xsl:value-of select="(($pageHeight div 100) * (number(substring-before(@height,'%')))) cast as xs:integer"/>
-	    </xsl:when>
-	    <xsl:when test="@height">
-	      <xsl:value-of select="tei:convert-dim-pt(@height)"/>
-	    </xsl:when>
-	    <xsl:when test="@scale and $origheight">
-	      <xsl:value-of select="($origheight *
-				    number(@scale)) div 127 cast as xs:integer"/>
-	    </xsl:when>
-	    <xsl:when test="@width[not(contains(.,'%'))] and $origheight and $origwidth">
-	      <xsl:variable name="w">
-		<xsl:value-of select="number(tei:convert-dim-pt(@width))"/>
-	      </xsl:variable>
-	      <xsl:value-of select="($w * number($origheight)) div number($origwidth)"/>
-	    </xsl:when>
-	    <xsl:when test="$origheight">
-	      <xsl:value-of select="number($origheight) div 127"/>
-	    </xsl:when>
-	    <xsl:otherwise>
-	      <xsl:message terminate="yes">no way to work out image height for
-	      <xsl:value-of select="$filename"/>
-	      </xsl:message>
-	    </xsl:otherwise>
-	  </xsl:choose>
-	</xsl:variable>
-	
-	<!-- check for sense -->
-	<xsl:variable name="imageHeight">
-	  <xsl:choose>
-	    <xsl:when test="$Height &lt; 0">
-	      <xsl:value-of select="$pageHeight"/>
-	    </xsl:when>
-	    <xsl:when test="number($Height) &gt; $pageHeight">
-	      <xsl:value-of select="$pageHeight"/>
-	    </xsl:when>
-	    <xsl:otherwise>
-	      <xsl:value-of select="$Height"/>
-	    </xsl:otherwise>
-	  </xsl:choose>
-	</xsl:variable>
-	<xsl:variable name="imageWidth">
-	  <xsl:choose>
-	    <xsl:when test="$Width &lt; 0">
-	      <xsl:value-of select="$pageWidth"/>
-	    </xsl:when>
-	    <xsl:when test="number($Width) &gt; $pageWidth">
-	      <xsl:value-of select="$pageWidth"/>
-	    </xsl:when>
-	    <xsl:otherwise>
-	      <xsl:value-of select="$Width"/>
-	    </xsl:otherwise>
-	  </xsl:choose>
-	</xsl:variable>
-<!--
-<xsl:message>
-  <xsl:for-each select="@*">
-    - @<xsl:value-of select="name(.)"/>: <xsl:value-of select="."/>
-</xsl:for-each>
-    - pageWidth: <xsl:value-of select="$pageWidth"/>
-    - pageHeight: <xsl:value-of select="$pageHeight"/>
-    - Width: <xsl:value-of select="$Width"/>
-    - Height: <xsl:value-of select="$Height"/>
-    - imageWidth: <xsl:value-of select="$imageWidth"/>
-    - imageHeight: <xsl:value-of select="$imageHeight"/>
-</xsl:message>
--->
-	<draw:frame draw:style-name="fr1" 
-		    draw:name="{$id}"
-		    draw:z-index="0">
-	  <xsl:attribute name="text:anchor-type">
+		<xsl:choose>
+			<xsl:when
+				test="$filename and  ( ($origwidth and $origheight) or (@width and @height))">
+
+				<!-- work out page width / height and subtract 1inch on all sides -->
+				<xsl:variable name="pageWidth">
+					<xsl:for-each
+						select="document(concat($outputDir,'/styles.xml'))/office:document-styles/office:automatic-styles/style:page-layout/style:page-layout-properties">
+						<xsl:value-of
+							select="number(tei:convert-dim-pt(@fo:page-width) - 144)" />
+					</xsl:for-each>
+				</xsl:variable>
+				<xsl:variable name="pageHeight">
+					<xsl:for-each
+						select="document(concat($outputDir,'/styles.xml'))/office:document-styles/office:automatic-styles/style:page-layout/style:page-layout-properties">
+						<xsl:value-of
+							select="number(tei:convert-dim-pt(@fo:page-height) - 144)" />
+					</xsl:for-each>
+				</xsl:variable>
+
+				<xsl:variable name="Width">
+					<xsl:choose>
+						<xsl:when test="contains(@width,'%')">
+							<xsl:value-of
+								select="(($pageWidth div 100) * number(substring-before(@width,'%'))) cast as xs:integer" />
+						</xsl:when>
+						<xsl:when test="@width">
+							<xsl:value-of select="tei:convert-dim-pt(@width)" />
+						</xsl:when>
+						<xsl:when test="@scale and $origwidth">
+							<xsl:value-of
+								select="number($origwidth * number(@scale)) div 127 cast as xs:integer" />
+						</xsl:when>
+						<xsl:when
+							test="@height[not(contains(.,'%'))] and $origheight">
+							<xsl:variable name="h">
+								<xsl:value-of
+									select="number(tei:convert-dim-pt(@height))" />
+							</xsl:variable>
+							<xsl:value-of
+								select="($h * number($origwidth)) div number($origheight)" />
+						</xsl:when>
+						<xsl:when test="$origwidth">
+							<xsl:value-of select="number($origwidth) div 127" />
+						</xsl:when>
+						<xsl:otherwise>
+							<xsl:message terminate="yes">
+								no way to work out image width for
+								<xsl:value-of select="$filename" />
+							</xsl:message>
+						</xsl:otherwise>
+					</xsl:choose>
+				</xsl:variable>
+
+				<xsl:variable name="Height">
+					<xsl:choose>
+						<xsl:when test="contains(@height,'%')">
+							<xsl:value-of
+								select="(($pageHeight div 100) * (number(substring-before(@height,'%')))) cast as xs:integer" />
+						</xsl:when>
+						<xsl:when test="@height">
+							<xsl:value-of select="tei:convert-dim-pt(@height)" />
+						</xsl:when>
+						<xsl:when test="@scale and $origheight">
+							<xsl:value-of
+								select="($origheight *
+				    number(@scale)) div 127 cast as xs:integer" />
+						</xsl:when>
+						<xsl:when
+							test="@width[not(contains(.,'%'))] and $origheight and $origwidth">
+							<xsl:variable name="w">
+								<xsl:value-of
+									select="number(tei:convert-dim-pt(@width))" />
+							</xsl:variable>
+							<xsl:value-of
+								select="($w * number($origheight)) div number($origwidth)" />
+						</xsl:when>
+						<xsl:when test="$origheight">
+							<xsl:value-of select="number($origheight) div 127" />
+						</xsl:when>
+						<xsl:otherwise>
+							<xsl:message terminate="yes">
+								no way to work out image height for
+								<xsl:value-of select="$filename" />
+							</xsl:message>
+						</xsl:otherwise>
+					</xsl:choose>
+				</xsl:variable>
+
+				<!-- check for sense -->
+				<xsl:variable name="imageHeight">
+					<xsl:choose>
+						<xsl:when test="$Height &lt; 0">
+							<xsl:value-of select="$pageHeight" />
+						</xsl:when>
+						<xsl:when test="number($Height) &gt; $pageHeight">
+							<xsl:value-of select="$pageHeight" />
+						</xsl:when>
+						<xsl:otherwise>
+							<xsl:value-of select="$Height" />
+						</xsl:otherwise>
+					</xsl:choose>
+				</xsl:variable>
+				<xsl:variable name="imageWidth">
+					<xsl:choose>
+						<xsl:when test="$Width &lt; 0">
+							<xsl:value-of select="$pageWidth" />
+						</xsl:when>
+						<xsl:when test="number($Width) &gt; $pageWidth">
+							<xsl:value-of select="$pageWidth" />
+						</xsl:when>
+						<xsl:otherwise>
+							<xsl:value-of select="$Width" />
+						</xsl:otherwise>
+					</xsl:choose>
+				</xsl:variable>
+				<!-- <xsl:message> <xsl:for-each select="@*"> - @<xsl:value-of select="name(.)"/>: 
+					<xsl:value-of select="."/> </xsl:for-each> - pageWidth: <xsl:value-of select="$pageWidth"/> 
+					- pageHeight: <xsl:value-of select="$pageHeight"/> - Width: <xsl:value-of 
+					select="$Width"/> - Height: <xsl:value-of select="$Height"/> - imageWidth: 
+					<xsl:value-of select="$imageWidth"/> - imageHeight: <xsl:value-of select="$imageHeight"/> 
+					</xsl:message> -->
+				<draw:frame draw:style-name="fr1" draw:name="{$id}"
+					draw:z-index="0">
+					<xsl:attribute name="text:anchor-type">
 	    <xsl:choose>
 	      <xsl:when test="parent::tei:figure">
 		<xsl:text>paragraph</xsl:text>
@@ -563,47 +619,49 @@
 	      </xsl:otherwise>
 	    </xsl:choose>
 	  </xsl:attribute>
-	  
-	  <xsl:attribute name="svg:width">
-	    <xsl:value-of select="$imageWidth"/>
+
+					<xsl:attribute name="svg:width">
+	    <xsl:value-of select="$imageWidth" />
 	    <xsl:text>pt</xsl:text>
 	  </xsl:attribute>
-	  <xsl:attribute name="svg:height">
-	    <xsl:value-of select="$imageHeight"/>
+					<xsl:attribute name="svg:height">
+	    <xsl:value-of select="$imageHeight" />
 	    <xsl:text>pt</xsl:text>
 	  </xsl:attribute>
-	  <draw:image
-	      xlink:href="{$filename}" 
-	      xlink:type="simple" 
-	      xlink:show="embed"
-	      xlink:actuate="onLoad" 
-	      draw:filter-name="&lt;All formats&gt;"/>
-	</draw:frame>
-      </xsl:when>	
-      <xsl:otherwise>
-	<xsl:message terminate="yes">ERROR. no image size info for  <xsl:value-of select="$filename"/>, cannot proceed</xsl:message>
-	
-      </xsl:otherwise>
-    </xsl:choose>
-    
-  </xsl:template>
+					<draw:image xlink:href="{$filename}" xlink:type="simple"
+						xlink:show="embed" xlink:actuate="onLoad"
+						draw:filter-name="&lt;All formats&gt;" />
+				</draw:frame>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:message terminate="yes">
+					ERROR. no image size info for
+					<xsl:value-of select="$filename" />
+					, cannot proceed
+				</xsl:message>
 
+			</xsl:otherwise>
+		</xsl:choose>
 
-<!-- lists -->
-  <xsl:template match="tei:list|tei:listBibl">
-    <xsl:if test="tei:head">
-      <text:p>
-	<xsl:attribute name="text:style-name">
+	</xsl:template>
+
+
+	<!-- lists -->
+	<xsl:template match="tei:list|tei:listBibl">
+		<xsl:if test="tei:head">
+			<text:p>
+				<xsl:attribute name="text:style-name">
 	  <xsl:choose>
-	    <xsl:when  test="@type='ordered'">P2</xsl:when>
+	    <xsl:when test="@type='ordered'">P2</xsl:when>
 	    <xsl:otherwise>P1</xsl:otherwise>
 	  </xsl:choose>
       </xsl:attribute>
-      <xsl:apply-templates select="tei:head" mode="show"/>
-      </text:p>
-    </xsl:if>
-    <text:list>
-      <xsl:attribute name="text:style-name">
+				<xsl:apply-templates select="tei:head"
+					mode="show" />
+			</text:p>
+		</xsl:if>
+		<text:list>
+			<xsl:attribute name="text:style-name">
 	<xsl:choose>
 	    <xsl:when test="self::tei:listBibl">L2</xsl:when>
             <xsl:when test="not(@type)">L1</xsl:when>
